### Hierarchy

- CSService

## Index

### Methods

- insertQuestionAlternate
- resolveQuestionAlternate
- updateConversationRate

## Methods

### insertQuestionAlternate

- insertQuestionAlternate(instanceId: number, questionTyped: string, questionText: string, cb: GBServiceCallback<GuaribasQuestionAlternate>): void

- - Defined in deploy/customer-satisfaction.gbapp/services/CSService.ts:67

  #### Parameters

  - ##### instanceId: number

  - ##### questionTyped: string

  - ##### questionText: string

  - ##### cb: GBServiceCallback<GuaribasQuestionAlternate>

  #### Returns void

### resolveQuestionAlternate

- resolveQuestionAlternate(instanceId: number, questionTyped: string, cb: GBServiceCallback<GuaribasQuestionAlternate>): void

- - Defined in deploy/customer-satisfaction.gbapp/services/CSService.ts:52

  #### Parameters

  - ##### instanceId: number

  - ##### questionTyped: string

  - ##### cb: GBServiceCallback<GuaribasQuestionAlternate>

  #### Returns void

### updateConversationRate

- updateConversationRate(conversation: GuaribasConversation, rate: number, cb: GBServiceCallback<GuaribasConversation>): void

- - Defined in deploy/customer-satisfaction.gbapp/services/CSService.ts:83

  #### Parameters

  - ##### conversation: GuaribasConversation

  - ##### rate: number

  - ##### cb: GBServiceCallback<GuaribasConversation>

  #### Returns void

Generated using TypeDoc